net.i2p.router.networkdb.kademlia

## Class FloodThrottler

- java.lang.Object
- - net.i2p.router.networkdb.kademlia.FloodThrottler

-      class FloodThrottler
      extends Object

  Count how often we have recently flooded a key This offers basic DOS protection but is not a complete solution.
  Since:
    0.7.11

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloodThrottler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `shouldThrottle(Hash h)` increments before checking

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FloodThrottler

          FloodThrottler()

  - ### Method Detail

    - #### shouldThrottle

          boolean shouldThrottle(Hash h)

      increments before checking